Skip to main content
GET
/
verifications
List verifications
curl --request GET \
  --url https://api.lightspark.com/grid/2025-10-13/verifications \
  --header 'Authorization: Basic <encoded-value>'
{
  "data": [
    {
      "id": "Verification:019542f5-b3e7-1d02-0000-000000000001",
      "customerId": "Customer:019542f5-b3e7-1d02-0000-000000000001",
      "verificationStatus": "RESOLVE_ERRORS",
      "errors": [
        {
          "resourceId": "Customer:019542f5-b3e7-1d02-0000-000000000001",
          "type": "MISSING_FIELD",
          "reason": "Business address line 1 is required",
          "field": "customer.address.line1",
          "acceptedDocumentTypes": [
            "PASSPORT"
          ]
        }
      ],
      "createdAt": "2025-10-03T12:00:00Z",
      "updatedAt": "2025-10-03T12:00:00Z"
    }
  ],
  "hasMore": true,
  "nextCursor": "<string>",
  "totalCount": 123
}

Authorizations

Authorization
string
header
required

API token authentication using format <api token id>:<api client secret>

Query Parameters

customerId
string

Filter by customer ID

verificationStatus
enum<string>

Filter by verification status Current status of the KYC/KYB verification

Available options:
RESOLVE_ERRORS,
PENDING_MANUAL_REVIEW,
IN_PROGRESS,
APPROVED,
REJECTED
Example:

"RESOLVE_ERRORS"

limit
integer
default:20

Maximum number of results to return (default 20, max 100)

Required range: 1 <= x <= 100
cursor
string

Cursor for pagination (returned from previous request)

Response

Successful operation

data
object[]
required

List of verifications matching the filter criteria

hasMore
boolean
required

Indicates if more results are available beyond this page

nextCursor
string

Cursor to retrieve the next page of results (only present if hasMore is true)

totalCount
integer

Total number of results matching the criteria